SADT.FR(1)

NOM
sadt - Simple exécution de test DEP-8

SYNOPSIS
sadt [options] [nom-test ...]

DESCRIPTION
sadt permet simplement d’exécuter des tests DEP-8 ("test automatique de paquet tel qu’il est installé").

Les dépendances à satisfaire pour les tests sont de votre responsabilité. sadt n’essayera pas d’installer les paquets manquants. Si des dépendances d’un test ne peuvent pas être satisfaites par les paquets actuellement installés, le test sera ignoré.

sadt ne construira pas le paquet même si un test déclare la restriction build-needed. À la place, ce genre de test sera ignoré. Cependant, vous pouvez construire le paquet vous-même et indiquer ensuite à sadt de considérer que le paquet est déjà construit à l’aide de l’option -b ou --built-source-tree.

sadt ne permet pas de gérer la virtualisation, par conséquent les tests qui déclarent la restriction breaks-testbed sont ignorés.

OPTIONS

-v, --verbose
    Rendre la sortie plus bavarde.

-b, --built-source-tree
    Supposer que l’arborescence source est déjà construite. C’est équivalent à --ignore-restriction=build-needed.

--ignore-restriction=restriction
    Ne pas ignorer les tests qui déclarent la restriction.

-h, --help
    Afficher un message d'aide et quitter.

CONFORMITÉ
README.package-tests distribué dans autopkgtest 2.7.2

VOIR AUSSI
adt-run(1)

TRADUCTION
Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006

Thomas Huriaux <thomas.huriaux@gmail.com>, 2006

David Prévot <david@tilapin.org>, 2010-2013

Xavier Guimard <yadd@debian.org>, 2018-2021